/*********************************************************************************
**
**   $Id: VendorTable.cpp,v 1.2 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include "VendorTable.h"

static DataFields fields[] =
{
   { "name",      "Name",           0,  0,  2,  0,  0,    0,   0, "",   NULL, NULL },
   { "Active",    "Active",         0,  3,  1,  0,  0,    0,   0, "",   NULL, NULL },
   { "contact",   "Contact",        1,  0,  3,  0,  0,    0,   0, "",   NULL, NULL },
   { "phone1",    "Phone 1",        5,  0,  0,  0,  7,    0,   0, "",   NULL, NULL },
   { "phone2",    "Phone 2",        5,  1,  0,  0,  7,    0,   0, "",   NULL, NULL },
   { "fax",       "Fax",            5,  2,  0,  0,  7,    0,   0, "",   NULL, NULL },
   { "email",     "EMail",          7,  0,  3,  0,  0,    0,   0, "",   NULL, NULL },
   { "url",       "URL",            6,  0,  3,  0,  0,    0,   0, "",   NULL, NULL },
   {  NULL, NULL, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL}
};

VendorTable::VendorTable(QWidget *pParent, const char *pName) :
            DataTable(fields, "vendors", 15, pParent, pName)
{
   printf("VendorTable::VendorTable(default): Enter\n");
   sortBy("name ASC");
   refresh();
}
